Merge remote-tracking branch 'origin/master' into ap2_to_master

This commit is contained in:
Joona Hoikkala
2020-01-30 17:08:16 +02:00
132 changed files with 1924 additions and 922 deletions
+18 -4
View File
@@ -7,6 +7,24 @@ if [ "$RELEASE_DIR" = "" ]; then
exit 1
fi
ExitWarning() {
exit_status="$?"
if [ "$exit_status" != 0 ]; then
# Don't print each command before executing it because it will disrupt
# the desired output.
set +x
echo '******************************'
echo '* *'
echo '* THE RELEASE SCRIPT FAILED! *'
echo '* *'
echo '******************************'
set -x
fi
exit "$exit_status"
}
trap ExitWarning EXIT
version="$1"
echo Releasing production version "$version"...
nextversion="$2"
@@ -67,7 +85,6 @@ git checkout "$RELEASE_BRANCH"
# Update changelog
sed -i "s/master/$(date +'%Y-%m-%d')/" certbot/CHANGELOG.md
git add certbot/CHANGELOG.md
git diff --cached
git commit -m "Update changelog for $version release"
for pkg_dir in $SUBPKGS certbot-compatibility-test
@@ -230,7 +247,6 @@ cp -p letsencrypt-auto-source/letsencrypt-auto certbot-auto
cp -p letsencrypt-auto-source/letsencrypt-auto letsencrypt-auto
git add certbot-auto letsencrypt-auto letsencrypt-auto-source certbot/docs/cli-help.txt
git diff --cached
while ! git commit --gpg-sign="$RELEASE_GPG_KEY" -m "Release $version"; do
echo "Unable to sign the release commit using git."
echo "You may have to configure git to use gpg2 by running:"
@@ -258,7 +274,6 @@ $body
$footer" > certbot/CHANGELOG.md
git add certbot/CHANGELOG.md
git diff --cached
git commit -m "Add contents to certbot/CHANGELOG.md for next version"
echo "New root: $root"
@@ -273,6 +288,5 @@ if [ "$RELEASE_BRANCH" = candidate-"$version" ] ; then
SetVersion "$nextversion".dev0
letsencrypt-auto-source/build.py
git add letsencrypt-auto-source/letsencrypt-auto
git diff
git commit -m "Bump version to $nextversion"
fi
+18 -18
View File
@@ -14,38 +14,38 @@ backports.functools-lru-cache==1.5
backports.shutil-get-terminal-size==1.0.0
backports.ssl-match-hostname==3.7.0.1
bcrypt==3.1.6
boto3==1.9.36
botocore==1.12.36
boto3==1.11.7
botocore==1.14.7
cached-property==1.5.1
cloudflare==1.5.1
cloudflare==2.3.1
codecov==2.0.15
configparser==3.7.4
contextlib2==0.6.0.post1
coverage==4.5.4
decorator==4.1.2
dns-lexicon==3.2.1
decorator==4.4.1
dns-lexicon==3.3.17
dnspython==1.15.0
docker==3.7.2
docker-compose==1.25.0
docker-pycreds==0.4.0
dockerpty==0.4.1
docopt==0.6.2
docutils==0.12
docutils==0.15.2
execnet==1.5.0
functools32==3.2.3.post2
future==0.16.0
futures==3.1.1
futures==3.3.0
filelock==3.0.12
google-api-python-client==1.5.5
httplib2==0.10.3
imagesize==0.7.1
importlib-metadata==0.23
ipdb==0.10.2
ipython==5.5.0
ipdb==0.12.3
ipython==5.8.0
ipython-genutils==0.2.0
isort==4.3.21
Jinja2==2.9.6
jmespath==0.9.3
jmespath==0.9.4
josepy==1.1.0
jsonschema==2.6.0
lazy-object-proxy==1.4.3
@@ -60,13 +60,13 @@ ndg-httpsclient==0.3.2
oauth2client==4.0.0
packaging==19.2
paramiko==2.4.2
pathlib2==2.3.0
pathlib2==2.3.5
pexpect==4.7.0
pickleshare==0.7.4
pickleshare==0.7.5
pkginfo==1.4.2
pluggy==0.13.0
ply==3.4
prompt-toolkit==1.0.15
prompt-toolkit==1.0.18
ptyprocess==0.6.0
py==1.8.0
pyasn1==0.1.9
@@ -83,7 +83,7 @@ pytest-forked==0.2
pytest-xdist==1.22.5
pytest-sugar==0.9.2
pytest-rerunfailures==4.2
python-dateutil==2.6.1
python-dateutil==2.8.1
python-digitalocean==1.11
pywin32==227
PyYAML==3.13
@@ -91,8 +91,8 @@ repoze.sphinx.autointerface==0.8
requests-file==1.4.2
requests-toolbelt==0.8.0
rsa==3.4.2
s3transfer==0.1.11
scandir==1.6
s3transfer==0.3.1
scandir==1.10.0
simplegeneric==0.8.1
singledispatch==3.4.0.3
snowballstemmer==1.2.1
@@ -104,13 +104,13 @@ tldextract==2.2.0
toml==0.10.0
tox==3.14.0
tqdm==4.19.4
traitlets==4.3.2
traitlets==4.3.3
twine==1.11.0
typed-ast==1.4.0
typing==3.6.4
uritemplate==3.0.0
virtualenv==16.6.2
wcwidth==0.1.7
wcwidth==0.1.8
websocket-client==0.56.0
wrapt==1.11.2
zipp==0.6.0
+1 -1
View File
@@ -14,7 +14,7 @@ sed -i -e "s|\# import os|import os|" conf.py
sed -i -e "s|\# needs_sphinx = '1.0'|needs_sphinx = '1.0'|" conf.py
sed -i -e "s|intersphinx_mapping = {'https://docs.python.org/': None}|intersphinx_mapping = {\n 'python': ('https://docs.python.org/', None),\n 'acme': ('https://acme-python.readthedocs.org/en/latest/', None),\n 'certbot': ('https://certbot.eff.org/docs/', None),\n}|" conf.py
sed -i -e "s|html_theme = 'alabaster'|\n# http://docs.readthedocs.org/en/latest/theme.html#how-do-i-use-this-locally-and-on-read-the-docs\n# on_rtd is whether we are on readthedocs.org\non_rtd = os.environ.get('READTHEDOCS', None) == 'True'\nif not on_rtd: # only import and set the theme if we're building docs locally\n import sphinx_rtd_theme\n html_theme = 'sphinx_rtd_theme'\n html_theme_path = [sphinx_rtd_theme.get_html_theme_path()]\n# otherwise, readthedocs.org uses their theme by default, so no need to specify it|" conf.py
sed -i -e "s|# Add any paths that contain templates here, relative to this directory.|autodoc_member_order = 'bysource'\nautodoc_default_flags = ['show-inheritance', 'private-members']\n\n# Add any paths that contain templates here, relative to this directory.|" conf.py
sed -i -e "s|# Add any paths that contain templates here, relative to this directory.|autodoc_member_order = 'bysource'\nautodoc_default_flags = ['show-inheritance']\n\n# Add any paths that contain templates here, relative to this directory.|" conf.py
sed -i -e "s|# The name of the Pygments (syntax highlighting) style to use.|default_role = 'py:obj'\n\n# The name of the Pygments (syntax highlighting) style to use.|" conf.py
echo "/_build/" >> .gitignore
echo "=================